import axios from '../axios'

export function getUserRechargeRecordListApi(params) {
  return axios.post('/pay/businessPayRecord/list_page', params)
}
export function getSubjectListApi(params) {
  return axios.get('/pay/businessPayRecord/subjectList', params)
}
// 客户余额管理 列表
export function getCostomerBalanceApi(params) {
  return axios.post('/business/customerBalance/list_page', params)
}
// 客户余额管理 编辑提交
export function editCustomerBalanceApi(params) {
  return axios.post('/business/customerBalance/update', params)
}
// 客户余额管理 手动充值
export function customerBalanceRechargeApi(params) {
  return axios.post('/business/customerBalance/recharge', params)
}
// 客户余额管理 批量删除
export function customerBalanceDelete(params) {
  return axios.post('/business/customerBalance/delete?ids=' + params)
}
// 客户余额管理 查询全部操作日志
export function getLogListApi(params) {
  return axios.post('business/customerBalanceOptLogs/list_page', params)
}
// 客户余额管理 分页查询全部扣费明细
export function getChargerRecordsApi(params) {
  return axios.post('/charge/customerChargeRecords/list_page', params)
}
// 客户余额管理 扣费明细金额汇总
export function getChargerRecordsTotalApi(params) {
  return axios.post('/charge/customerChargeRecords/total', params)
}
